Package org.apache.solr.common

# Class ConditionalMapWriter

java.lang.Object
org.apache.solr.common.ConditionalMapWriter

All Implemented Interfaces:
  `MapSerializable`, `MapWriter`, `NavigableObject`, `org.noggit.JSONWriter.Writable`

public class ConditionalMapWriter extends Object implements MapWriter

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`ConditionalMapWriter.EntryWriterWrapper`

## Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final BiPredicate<CharSequence,Object>`
`NON_NULL_VAL`

### Fields inherited from interface org.apache.solr.common.MapWriter

`EMPTY`

## Constructor Summary

Constructors
Constructor
Description
`ConditionalMapWriter(MapWriter delegate, BiPredicate<CharSequence,Object> predicate)`

## Method Summary

Modifier and Type
Method
Description
`static BiPredicate<CharSequence,Object>`
`dedupeKeyPredicate(Set<CharSequence> keys)`
`void`
`writeMap(MapWriter.EntryWriter ew)`
Writes this object's entries out to `ew`.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap, write`

### Methods inherited from interface org.apache.solr.common.NavigableObject

`_forEachEntry, _forEachEntry, _forEachEntry, _get, _get, _getStr, _getStr, _size`

## Field Details

### NON_NULL_VAL

public static final BiPredicate<CharSequence,Object> NON_NULL_VAL

## Constructor Details

### ConditionalMapWriter

public ConditionalMapWriter(MapWriter delegate, BiPredicate<CharSequence,Object> predicate)

## Method Details

### writeMap

public void writeMap(MapWriter.EntryWriter ew) throws IOException
Description copied from interface: `MapWriter`
Writes this object's entries out to `ew`.

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

### dedupeKeyPredicate

public static BiPredicate<CharSequence,Object> dedupeKeyPredicate(Set<CharSequence> keys)